// DrawRect.h: interface for the CDrawRect class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DRAWRECT_H__E8450D1E_B960_4EBB_AF81_4ED122C4D64B__INCLUDED_)
#define AFX_DRAWRECT_H__E8450D1E_B960_4EBB_AF81_4ED122C4D64B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawingNode.h"

/*
	CDrawRect 클래스는 사각형을 그리는 클래스이다.
	CDrawingNode 클래스를 상속받는다.
*/
class CDrawRect : public CDrawingNode  
{
public:
	void OnMouseMove(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonUp(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void OnLButtonDown(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled);
	void Draw(CDC* pDC);
	
	CDrawRect();
	virtual ~CDrawRect();
private:
	CRect m_rect;
};

#endif // !defined(AFX_DRAWRECT_H__E8450D1E_B960_4EBB_AF81_4ED122C4D64B__INCLUDED_)
